Tp::Service::ChannelInterfaceRoomAdaptor Class Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | List of all members
Tp::Service::ChannelInterfaceRoomAdaptor Class Reference
Channel service implementation

`#include <TelepathyQt/_gen/svc-channel.h>`

Inherits Tp::AbstractAdaptor.

## Public Member Functions
QString | RoomName () const
QString | Server () const
QString | Creator () const
uint | CreatorHandle () const
qlonglong | CreationTimestamp () const
Public Member Functions inherited from Tp::AbstractAdaptor
| AbstractAdaptor (const QDBusConnection &connection, QObject *adaptee, QObject *parent)
| ~AbstractAdaptor ()
QDBusConnection | dbusConnection () const
QObject * | adaptee () const

## Detailed Description

Adaptor class providing a 1:1 mapping of the D-Bus interface "org.freedesktop.Telepathy.Channel.Interface.Room2".

## Member Function Documentation

QString Tp::Service::ChannelInterfaceRoomAdaptor::RoomName | ( |  | ) | const

Return the value of the exported D-Bus object property `RoomName` of type `QString`.

Adaptees should export this property as a Qt property named 'roomName' with type QString.

The human-readable identifier of a chat room. Note that if non-empty, this property (and perhaps also Server ) should be sufficient in a channel request to join the room. XMPP MUCs have a room name concept which is more like a topic, except more persistent. This D-Bus property is not this XMPP room name, but the bit before the @ in the room jid; see ChannelInterfaceRoomConfigInterface::Title for that concept.

This property cannot change during the lifetime of the channel. It should appear in the Allowed_Properties of a Requestable_Channel_Class for the connection if rooms on this connection have human-readable names, and can be joined by name.

Returns
  The value of exported property `RoomName`.

QString Tp::Service::ChannelInterfaceRoomAdaptor::Server | ( |  | ) | const

Return the value of the exported D-Bus object property `Server` of type `QString`.

Adaptees should export this property as a Qt property named 'server' with type QString.

For protocols with a concept of chatrooms on multiple servers with different DNS names (like XMPP), the DNS name of the server hosting this channel (for example, `"conference.jabber.org"` or `"groupchat.google.com"`). For other protocols, the empty string.

This property cannot change during the lifetime of the channel. It should appear in the Allowed_Properties of a Requestable_Channel_Class for the connection if and only if non-empty values are supported.

Returns
  The value of exported property `Server`.

QString Tp::Service::ChannelInterfaceRoomAdaptor::Creator | ( |  | ) | const

Return the value of the exported D-Bus object property `Creator` of type `QString`.

Adaptees should export this property as a Qt property named 'creator' with type QString.

The normalized contact ID representing who created the room; or the empty string if unknown.

Returns
  The value of exported property `Creator`.

uint Tp::Service::ChannelInterfaceRoomAdaptor::CreatorHandle | ( |  | ) | const

Return the value of the exported D-Bus object property `CreatorHandle` of type `uint`.

Adaptees should export this property as a Qt property named 'creatorHandle' with type uint.

The handle corresponding to Creator ; or 0 if Creator is unknown.

Returns
  The value of exported property `CreatorHandle`.

qlonglong Tp::Service::ChannelInterfaceRoomAdaptor::CreationTimestamp | ( |  | ) | const

Return the value of the exported D-Bus object property `CreationTimestamp` of type `qlonglong`.

Adaptees should export this property as a Qt property named 'creationTimestamp' with type qlonglong.

A unix timestamp indicating when the room was created; or `INT_MAX64` if unknown.

Returns
  The value of exported property `CreationTimestamp`.